Public Member Functions | Public Attributes | List of all members
libvisio::VSDArcTo Class Reference
Inheritance diagram for libvisio::VSDArcTo:

## Public Member Functions
| VSDArcTo (unsigned id, unsigned level, const boost::optional< double > &x2, const boost::optional< double > &y2, const boost::optional< double > &bow)
| ~VSDArcTo () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x2
double | m_y2
double | m_bow

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDArcTo()

libvisio::VSDArcTo::VSDArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x2,
|  | const boost::optional< double > & | y2,
|  | const boost::optional< double > & | bow
| ) |  |
| inline

## ◆ ~VSDArcTo()

libvisio::VSDArcTo::~VSDArcTo | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDArcTo::clone | ( |  | ) |
| override virtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDArcTo::handle | ( | VSDCollector * | collector | ) | const
| override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_bow

double libvisio::VSDArcTo::m_bow

Referenced by libvisio::VSDGeometryList::addArcTo().

## ◆ m_x2

double libvisio::VSDArcTo::m_x2

Referenced by libvisio::VSDGeometryList::addArcTo().

## ◆ m_y2

double libvisio::VSDArcTo::m_y2

Referenced by libvisio::VSDGeometryList::addArcTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp